LINUX.ORG.RU
ФорумTalks

дебианопроблемы


0

1

Чего-то последнее время в дебиане стало много зависимостей от поттероподелий. И становится все больше.

А потому встает вопрос: перекомпилирование пакетов с помощью dpkg-buildpackage сильно много создает проблем, т.к. автоматически не пересобирается при обновлениях, или же нет?

★★★★★

Щито? Где в дебиане хоть одно ленарто-поделие, без которого он-дебиан работать не будет?

systemd? SysV-init!

pulseaudio? alsa!

syslogd? /var/log/!

bk_ ★★ ()

Пересаживайся на стабильную ветку тогда!

CYB3R ★★★★★ ()

пруфы?
добавляй свои пакеты в исключения, чтобы были в удержанных. Например в аптитьюд.

darkshvein ☆☆ ()
Ответ на: комментарий от darkshvein

пруфы?

например libsdl1.2-dev тянет за собой libpulse*

cvs-255 ★★★★★ ()
Ответ на: комментарий от cvs-255

sdl -> openal -> pulseaudio - улавливаешь зависимость?

bk_ ★★ ()

Debian squeeze на десктопе. Никаких поттерингоподелок нет. Все работает из коробки. ЧЯДНТ?

segfault ★★★★★ ()
Ответ на: комментарий от segfault

Debian squeeze на десктопе. Никаких поттерингоподелок нет.

Попробуй обновится до тестинга или до стабильного в конце года.

ymuv ★★★★ ()
Ответ на: комментарий от ymuv

Попробуй обновится до тестинга или до стабильного в конце года.

Зачем? Обещаете проблемы? Спасибо, не нужно.

segfault ★★★★★ ()
Ответ на: комментарий от segfault

Ну ведь когда-нибудь все равно обновитесь. А стабильный вроде в конце года выходит.

ymuv ★★★★ ()
Ответ на: комментарий от cvs-255

ну так какие проблемы? pulseaudio - обычная программа уровня пользователя. Не нравится - не ставь, и, соответственно, не играй в игры на sdl.

bk_ ★★ ()

а чем вам не нравятся поделия Поттеринга?

DarkV ()
Ответ на: комментарий от bk_

Не нравится - не ставь, и, соответственно, не играй в игры на sdl.

SDL замечательно можеть работать и без PA. но дебианомантайнеры впилили зависимость от libpulse

cvs-255 ★★★★★ ()

Чем тебе они не угодили?

PS. Pulseaudio и Avahi есть, начиная еще с Etch (и с того времени ничего не изменилось: никто не заставляет тебя ставить пульс, если он тебе не нужен).

Deleted ()
Ответ на: комментарий от cvs-255

Обратись к ним напрямую, если это тебя так тревожит.

bk_ ★★ ()
Ответ на: комментарий от cvs-255

SDL замечательно можеть работать и без PA. но дебианомантайнеры впилили зависимость от libpulse

Попробуй LFS. Понравится.

pacify ★★★★★ ()
Ответ на: комментарий от ymuv

Попробуй обновится до тестинга или до стабильного в конце года.

Намекаете на то, что Wheezy станет stable в конце года? Не будет этого, помяните моё слово.

eugeno ★★★★★ ()

Либпульса это всего лишь либ, не бойся.

Deleted ()
Ответ на: комментарий от Deleted

Also, серчать на -dev пакеты… ты шо, гентушник? Хватит это… пересобирать!

Deleted ()

Да разве ж это проблемы? Вот невозможность выбрать grub-legacy во время инсталляции — это неприятно. Спасибо, что совсем не выпилили.

aidaho ★★★★★ ()
Ответ на: комментарий от Deleted

Хватит это… пересобирать!

визуализирую я что-то посредством sdl -> нужна libsdl1.2-dev

cvs-255 ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.